Name:                java-xmlbuilder
Version:             1.3
Release:             1
Summary:             XML Builder Java library for creating XML documents
License:             ASL 2.0
Url:                 https://github.com/jmurty/java-xmlbuilder
Source0:             https://github.com/jmurty/java-xmlbuilder/archive/v%{version}.tar.gz
BuildRequires:       sonatype-oss-parent base64 junit
BuildRequires:       maven-local maven-enforcer-plugin
BuildArch:           noarch
%description
XML Builder is a utility that creates simple XML documents using relatively
sparse Java code.
It is intended to allow for quick and painless creation of XML documents
where you might otherwise be tempted to use concatenated strings, and
where you would rather not face the tedium and verbosity of coding with JAXP.

%package help
Summary:             Javadoc for %{name}
Provides:            %{name}-javadoc = %{version}-%{release}
Obsoletes:           %{name}-javadoc < %{version}-%{release}
%description help
This package contains javadoc for %{name}.

%prep
%setup -q
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin
sed -i 's/\r//' LICENSE-2.0.txt
%mvn_file :%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md README.md
%license LICENSE-2.0.txt

%files help -f .mfiles-javadoc
%license LICENSE-2.0.txt

%changelog
* Fri Mar 15 2024 liyanan <liyanan61@h-partners.com> - 1.3-1
- Update to 1.3

* Mon Aug 24 2020 huanghaitao <huanghaitao8@huawei.com> - 1.1-1
- package init
